## python-pytooling 8.6.0

=== tests/requirements.txt ===
-r ../requirements.txt

# Coverage collection
Coverage ~= 7.10

# Test Runner
pytest ~= 8.4
pytest-cov ~= 6.2

# Static Type Checking
mypy ~= 1.17
typing_extensions ~= 4.14
lxml ~= 6.0

# For pyTooling.Configuration.YAML testing
ruamel.yaml ~= 0.18

# For pyTooling.TerminalUI testing
colorama >= 0.4.6

=== debian/changelog ===
python-pytooling (8.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1109491)

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Sat, 19 Jul 2025 22:07:07 +0530

## python-pytooling 8.7.3

=== dist/requirements.txt ===
wheel ~= 0.45
twine ~= 6.1

=== doc/requirements.txt ===
-r ../requirements.txt

colorama >= 0.4.6
ruamel.yaml ~= 0.18
setuptools >= 80.0

# Enforce latest version on ReadTheDocs
sphinx ~= 8.2
docutils ~= 0.21
docutils_stubs ~= 0.0.22

# ReadTheDocs Theme
sphinx_rtd_theme ~= 3.0

# Sphinx Extenstions
sphinxcontrib-mermaid ~= 1.0
autoapi >= 2.0.1
sphinx_design ~= 0.6.1
sphinx-copybutton >= 0.5.2
sphinx_autodoc_typehints ~= 3.2
sphinx_reports ~= 0.9

=== tests/requirements.txt ===
-r ../requirements.txt

# Coverage collection
Coverage ~= 7.10

# Test Runner
pytest ~= 8.4
pytest-cov ~= 7.0

# Static Type Checking
mypy[reports] ~= 1.18
typing_extensions ~= 4.15
types-colorama >= 0.4.15
types-setuptools >= 80.9
lxml ~= 6.0

# For pyTooling.Configuration.YAML testing
ruamel.yaml ~= 0.18

# For pyTooling.TerminalUI testing
colorama ~= 0.4.6

=== tests/benchmark/requirements.txt ===
-r ../requirements.txt

# Test Runner extensions
pytest-benchmark>=4.0.0

=== tests/performance/requirements.txt ===
-r ../requirements.txt

# For performance testing of Node (tree)
anytree ~= 2.13
itertree ~= 1.1
treelib ~= 1.7

# For performance testing of Graph/Vertex (graph)
networkx ~= 3.4
igraph ~= 0.11

# For performance testing of LinkedList/Node (linked list)
doubly-py-linked-list ~= 1.1

=== tests/unit/requirements.txt ===
-r ../requirements.txt

setuptools >= 80.0

=== tests/data/Requirements/requirements.txt ===
-r requirements.Documentation.txt
-r requirements.Git.txt
-r requirements.HTTPS-ZIP.txt

=== debian/changelog ===
python-pytooling (8.7.3-1) unstable; urgency=medium

  * Updated to 8.7.3

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Thu, 09 Oct 2025 21:31:07 +0530

=== debian/control ===
Source: python-pytooling
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Aryan Karamtoth <spaciouscoder78@disroot.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-wheel,
 python3-pytest <!nocheck>,
 python3-mypy <!nocheck>,
 python3-colorama,
 python3-ruamel.yaml,
 python3-networkx <!nocheck>,
 python3-igraph <!nocheck>,
 python3-anytree <!nocheck>,
 python3-treelib <!nocheck>,
 pybuild-plugin-pyproject,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://pytooling.github.io/pyTooling/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytooling
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytooling

Package: python3-pytooling
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-all,
 python3-colorama,
 python3-ruamel.yaml,
Description: Python Library for collection of useful data models, classes, decorators
 pyTooling is a powerful collection of arbitrary useful abstract data models,
 missing classes, decorators, a new performance boosting meta-class and enhanced
 exceptions.
 .
 It also provides lots of helper functions e.g. to ease the handling of package
 descriptions or to unify multiple existing APIs into a single API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyTooling
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/pyTooling/pyTooling/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pytooling 8.8.0

=== dist/requirements.txt ===
wheel ~= 0.45
twine ~= 6.2

=== doc/requirements.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # Sphinx Extenstions
 sphinxcontrib-mermaid ~= 1.0
 autoapi >= 2.0.1
-sphinx_design ~= 0.6.1
-sphinx-copybutton >= 0.5.2
-sphinx_autodoc_typehints ~= 3.2
+sphinx_design ~= 0.6
+sphinx-copybutton >= 0.5
+sphinx_autodoc_typehints ~= 3.5
 sphinx_reports ~= 0.9

=== tests/requirements.txt ===
-r ../requirements.txt

# Coverage collection
Coverage ~= 7.11

# Test Runner
pytest ~= 9.0
pytest-cov ~= 7.0

# Static Type Checking
mypy[reports] ~= 1.18
typing_extensions ~= 4.15
types-colorama >= 0.4.15
types-setuptools >= 80.9
lxml >= 5.4, <7.0

# For pyTooling.Configuration.YAML testing
ruamel.yaml ~= 0.18

# For pyTooling.TerminalUI testing
colorama ~= 0.4.6

=== debian/changelog ===
python-pytooling (8.8.0-1) unstable; urgency=medium

  [ Aryan Karamtoth ]
  * New upstream release 8.8.0
  * Updated d/copyright
  * removed autopkg testsuite

  [ Jeroen Ploemen ]
  * Control: set Testsuite to autopkgtest-pkg-python rather than
    -pybuild, as no tests are run on build.
  * Control: remove unused build-deps on mypy, wheel, colorama,
    ruamel.yaml; switch python3-all to python3.

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Sat, 20 Dec 2025 08:48:07 +0530

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3,
  python3-setuptools,
- python3-all,
- python3-wheel,
- python3-pytest <!nocheck>,
- python3-mypy <!nocheck>,
- python3-colorama,
- python3-ruamel.yaml,
- python3-networkx <!nocheck>,
- python3-igraph <!nocheck>,
- python3-anytree <!nocheck>,
- python3-treelib <!nocheck>,
- pybuild-plugin-pyproject,
 Standards-Version: 4.7.2
-Testsuite: autopkgtest-pkg-pybuild
+Testsuite: autopkgtest-pkg-python
 Homepage: https://pytooling.github.io/pyTooling/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytooling
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytooling
@@ -30,7 +21,6 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
- python3-all,
  python3-colorama,
  python3-ruamel.yaml,
 Description: Python Library for collection of useful data models, classes, decorators

## python-pytooling 8.10.0

=== tests/benchmark/requirements.txt ===
-r ../../requirements.txt

# Coverage collection
Coverage ~= 7.13

# Test Runner
pytest ~= 9.0
pytest-cov ~= 7.0
# Test Runner extensions
pytest-benchmark>=4.0.0

=== debian/changelog ===
python-pytooling (8.10.0-1) unstable; urgency=medium

  * New upstream release 8.10.0
  * Updated d/copyright
  * Bump Standards-Version to 4.7.3
  * Update d/watch to version 5

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Sat, 17 Jan 2026 18:55:07 +0530

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ python3-setuptools,
+ python3-all,
+ python3-wheel,
+ python3-mypy <!nocheck>,
+ python3-colorama,
+ python3-ruamel.yaml,
  pybuild-plugin-pyproject,
- python3,
- python3-setuptools,
-Standards-Version: 4.7.2
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.7.3
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://pytooling.github.io/pyTooling/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytooling
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytooling

=== debian/watch ===
Version: 5

Template: Pypi
Dist: pytooling

## python-pytooling 8.11.0

=== dist/requirements.txt ===
wheel ~= 0.45.0
twine ~= 6.2

=== doc/requirements.txt ===
-r ../requirements.txt

colorama >= 0.4.6
ruamel.yaml ~= 0.18.0
setuptools >= 80.0

# Enforce latest version on ReadTheDocs
sphinx ~= 8.2
docutils ~= 0.21.0
docutils_stubs ~= 0.0.22

# ReadTheDocs Theme
sphinx_rtd_theme ~= 3.0

# Sphinx Extenstions
sphinxcontrib-mermaid ~= 1.0
autoapi >= 2.0.1
sphinx_design ~= 0.6.0
sphinx-copybutton >= 0.5.0
sphinx_autodoc_typehints ~= 3.5
sphinx_reports ~= 0.9.0

=== tests/requirements.txt ===
-r benchmark/requirements.txt
-r performance/requirements.txt
-r typing/requirements.txt
-r unit/requirements.txt

=== tests/performance/requirements.txt ===
-r ../../requirements.txt

# Coverage collection
Coverage ~= 7.13

# Test Runner
pytest ~= 9.0
pytest-cov ~= 7.0

# For performance testing of Node (tree)
anytree ~= 2.13
itertree ~= 1.1
treelib ~= 1.7

# For performance testing of Graph/Vertex (graph)
networkx ~= 3.4
igraph ~= 0.11.0

# For performance testing of LinkedList/Node (linked list)
doubly-py-linked-list ~= 1.1

=== tests/typing/requirements.txt ===
-r ../../requirements.txt

# Static Type Checking
mypy[reports] ~= 1.19
typing_extensions ~= 4.15
types-colorama >= 0.4.15
types-setuptools >= 80.9
lxml >= 5.4, <7.0

# For pyTooling.Configuration.YAML testing
ruamel.yaml ~= 0.18.0

# For pyTooling.TerminalUI testing
colorama ~= 0.4.6

=== tests/unit/requirements.txt ===
-r ../../requirements.txt

# Coverage collection
Coverage ~= 7.13

# Test Runner
pytest ~= 9.0
pytest-cov ~= 7.0

# For pyTooling.Dependency.Python testing
aiohttp >= 3.12    # aiohttp limited on MSYS2 to 3.12.x
requests >= 2.32

# For pyTooling.Configuration.YAML testing
ruamel.yaml ~= 0.18.0

# For pyTooling.Packaging testing
setuptools >= 80.0

# For pyTooling.TerminalUI testing
colorama ~= 0.4.6

=== debian/changelog ===
python-pytooling (8.11.0-1) unstable; urgency=medium

  * New upstream release 8.11.0

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Mon, 19 Jan 2026 21:11:07 +0530

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3,
  python3-setuptools,
- python3-all,
- python3-wheel,
- python3-mypy <!nocheck>,
- python3-colorama,
- python3-ruamel.yaml,
- pybuild-plugin-pyproject,
 Standards-Version: 4.7.3
-Testsuite: autopkgtest-pkg-pybuild
+Testsuite: autopkgtest-pkg-python
 Homepage: https://pytooling.github.io/pyTooling/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytooling
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytooling

=== debian/watch ===


## python-pytooling 8.12.0

=== doc/requirements.txt ===
-r ../requirements.txt

colorama >= 0.4.6
ruamel.yaml ~= 0.19.0
setuptools >= 80.0

# Enforce latest version on ReadTheDocs
sphinx ~= 9.1
#docutils ~= 0.22.0
docutils_stubs ~= 0.0.22

# ReadTheDocs Theme
sphinx_rtd_theme ~= 3.0

# Sphinx Extenstions
sphinxcontrib-mermaid ~=2.0
autoapi >= 2.0.1
sphinx_design ~= 0.7.0
sphinx-copybutton >= 0.5.0
sphinx_autodoc_typehints ~= 3.6
sphinx_reports ~= 0.10.0

=== tests/typing/requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 lxml >= 5.4, <7.0
 
 # For pyTooling.Configuration.YAML testing
-ruamel.yaml ~= 0.18.0
+ruamel.yaml ~= 0.19.0
 
 # For pyTooling.TerminalUI testing
 colorama ~= 0.4.6

=== tests/unit/requirements.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 requests >= 2.32
 
 # For pyTooling.Configuration.YAML testing
-ruamel.yaml ~= 0.18.0
+ruamel.yaml ~= 0.19.0
 
 # For pyTooling.Packaging testing
 setuptools >= 80.0

=== debian/changelog ===
python-pytooling (8.12.0-1) unstable; urgency=medium

  * New upstream release 8.12.0

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Tue, 03 Mar 2026 20:21:00 +0530

=== debian/watch ===
Version: 5

Template: Github
Owner: pyTooling
Project: pyTooling
